RC.VMS(8)

NAME

rc.vms - an init script to use with vms

SYNOPSIS

rc.vms [option]

DESCRIPTION

The rc.vms script is to be used by the administrator. It can be used for controlling a set of virtual machines. This set is specified in rc.vms.conf configuration file. It can also be used to start and stop this set during the host's boot and shutdown sequence. The cmd option can be used by the administrator to control any virtual machine on the host.

OPTIONS

status
    display the running status of all the virtual machines in the set

start
    start the virtual machine set, can be used during host's boot sequence. The machines in the set are started in the order that they appear in rc.vms.conf

stop
    Stop the virtual machine set, can be used during host's shutdown sequence. The order the machines are stopped is the reverse of the order that they appear in rc.vms.conf

restart
    Restart the virtual machine set

cmd username vms-option [vm]
    Call `vms vms-option vm` to control the virtual machine named vm that belongs to the user username. It can be used on any virtual machine on the host, even if the virtual machine is not included in the set define in rc.vms.conf.

EXAMPLES

Enable

To display the status of the set and start it

    rc.vms status
    rc.vms start

To stop the set, use

    rc.vms stop

Assume user sam has a virtual machine named vm01. The administrator can display the information about vm01 like this

    rc.vms cmd sam list
    rc.vms cmd sam info vm01

This results in calling /vms info vm01/ to the vm01 that sam has defined in his ~/.vms/vms.conf. Likewise, all vms options can be used, eg

    rc.vms cmd sam status vm01
    rc.cms cmd sam start vm01

SEE ALSO

vms(1), rc.vms.conf(5)

AUTHORS
Nikos Giotis <nikos.giotis@gmail.com>.